Skip to main content
POST
/
io.pocketenv.sandbox.pushDirectory
Push a directory from a Sandbox to the cp Storage.
curl --request POST \
  --url https://api.pocketenv.io/xrpc/io.pocketenv.sandbox.pushDirectory \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sandboxId": "<string>",
  "directoryPath": "<string>"
}
'
{
  "uuid": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
sandboxId
string
required

ID of the source Sandbox to read the directory from.

directoryPath
string
required

Path of the directory within the Sandbox to push to cp storage. This should be an absolute path.

Response

OK

uuid
string

The UUID of the pushed directory in cp storage. This can be used to reference the directory in other API calls, such as creating a file from the directory or sharing the directory with another sandbox.